function init()
	unlimitedammo = GetBool("savegame.mod.unlimitedammo")
	piercingammo = GetBool("savegame.mod.piercingammo")
	getmodel = GetFloat("savegame.mod.getmodel")
	if unlimitedammo == 0 then unlimitedammo = 0.15 end
	if piercingammo == 0 then piercingammo = 0.15 end
	if getmodel == 0 then getmodel = 0.15 end
end

function draw()
	UiTranslate(UiCenter(), 350)
	UiAlign("center middle")

	UiFont("bold.ttf", 48)
	UiText("Arisaka yon shiki jidou shoujuu")
	UiTranslate(0, 40)
	UiText("Type 4 Arisaka Semi-automatic Rifle")
	UiFont("regular.ttf", 26)
	UiTranslate(0, 70)
	UiPush()
		UiText("Unlimited Ammo")
		UiTranslate(0, 40)
		UiAlign("center")
		UiColor(1, 1, 1)
		if unlimitedammo then
			if UiTextButton("Yes", 20, 20) then
				unlimitedammo = false
				SetBool("savegame.mod.unlimitedammo", unlimitedammo)
			end
		else
			if UiTextButton("No", 20, 20) then
				unlimitedammo = true
				SetBool("savegame.mod.unlimitedammo", unlimitedammo)
			end
		end
	UiTranslate(0, 40)
	UiPush()
		UiText("Demolition Rounds (Deals more damage to softer materials)")
		UiTranslate(0, 40)
		UiAlign("center")
		UiColor(1, 1, 1)
		if piercingammo then
			if UiTextButton("Yes", 20, 20) then
				piercingammo = false
				SetBool("savegame.mod.piercingammo", piercingammo)
			end
		else
			if UiTextButton("No", 20, 20) then
				piercingammo = true
				SetBool("savegame.mod.piercingammo", piercingammo)
			end
		end
	UiPop()
	UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
	

	UiTranslate(0, 300)
	if UiTextButton("Close", 80, 40) then
		Menu()
	end
end

function round(number, decimals)
    local power = 10^decimals
    return math.floor(number * power) / power
end